Bug 7590 - Suspend 2? ядром не поддерживается или не включается.
: Suspend 2? ядром не поддерживается или не включается.
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-up)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-06 20:37 by
Modified: 2007-07-11 16:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-06 20:37:18
Закидываю багу сюда на обсуждение.

>> Suspend 2 ядром не поддерживается или не включается.
> И не должен. Рано suspend2 в std26, для него есть wks26. — wrar

Тогда нужно убирать следы suspend с десктопа. Например KPowersave по умолчанию
висит в трее и предлагает усыпить бук на диск, по умолчанию, а также
перехватывает кнопку питания на операцию усыпить на диск.

С другой стороны, если мы заявляем что "Compact 3.0 — однодисковый
OEM-дистрибутив с минимальным дублированием функциональности включённого кода и
максимальной готовностью к работе на десктопе после установки"
http://wiki.sisyphus.ru/beta/BugTargets, то целесообразно и ядро ставить
десктопное, т.е. wks26.
------- Comment #1 From 2005-08-06 21:16:30 -------
Интересно, что получишь -- INVALID или WONTFIX.

Но на самом деле на этой стадии ядро действительно уже не меняют...
------- Comment #2 From 2005-08-06 21:39:19 -------
На какой стадии?
Или это действительно rc, а не бетта-тестирование? :)
Мне казалось что ядро всё ещё из Сизифа тащится.
------- Comment #3 From 2005-08-21 19:29:47 -------
Дистрибутив: 3.0rc5

Раз уж там ядро 2.6.12, то может wks ветку включить?
------- Comment #4 From 2005-10-28 11:06:44 -------
wks не готово для production.

А вот добавить suspend2 патч в std-up на мой взгляд было бы интересно.

------- Comment #5 From 2005-11-02 17:49:52 -------
suspend? в std? это в ядро для серверов-то? :-( )

wks готово для дексктопа, по крайней мере многими успешно используется.

Только вот сейчас уже действительно поздно менять ядро в почти готовом дистрибутиве.
------- Comment #6 From 2005-11-03 16:49:52 -------
А вторая мыша в ядре этого, уже почти готового дистрибутива, уже
обнаруживается?
------- Comment #7 From 2005-11-06 20:33:13 -------
Такие вопросы не сюда, а в sisyphus@.
Да, поддерживается. Давно. Мои три мыши работают замечательно.
------- Comment #8 From 2005-11-20 21:30:33 -------
(In reply to comment #7)
> Такие вопросы не сюда, а в sisyphus@.
> Да, поддерживается. Давно. Мои три мыши работают замечательно.

Одновременно? Где в ALC3?
------- Comment #9 From 2006-11-30 21:41:07 -------
В настоящее время в ядре std-* (2.6.18) имеется поддержка swsusp (правда, там
поменьше возможностей, чем в suspend2).
------- Comment #10 From 2007-07-11 16:04:07 -------
В ALT4 уже вижу и suspend2